package cd.casic.plugin.event;

import org.pf4j.PluginWrapper;
import org.springframework.context.ApplicationEvent;
import org.springframework.util.Assert;

/**
 * @Classname PluginStartedEvent
 * @Description 插件启动，发布事件到上下文
 * @Date 2025/5/8 14:43
 * @Created by mianbin
 */
public class OpsPluginStartedEvent extends ApplicationEvent {

    private final PluginWrapper plugin;

    public OpsPluginStartedEvent(Object source, PluginWrapper plugin) {
        super(source);
        Assert.notNull(plugin, "插件不能为空");
        this.plugin = plugin;
    }
}
